Skip to main content
GET
/
team
/
token-usage
Get remaining tokens for the authenticated team (Extract only)
curl --request GET \
  --url https://api.firecrawl.dev/v2/team/token-usage \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.firecrawl.dev/v2/team/token-usage"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.firecrawl.dev/v2/team/token-usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "remainingTokens": 1000,
    "planTokens": 500000,
    "billingPeriodStart": "2025-01-01T00:00:00Z",
    "billingPeriodEnd": "2025-01-31T23:59:59Z"
  }
}
{
"success": false,
"error": "Could not find token usage information"
}
{
"success": false,
"error": "Internal server error while fetching token usage"
}
We’ve simplified billing so that Extract now uses credits, just like all of the other endpoints. Each credit is worth 15 tokens. Reported token usage now includes usage from all endpoints.
Are you an AI agent that needs a Firecrawl API key? See firecrawl.dev/agent-onboarding/SKILL.md for automated onboarding instructions.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Successful response

success
boolean
Example:

true

data
object